cascading.tap.hadoop.io

## Class HadoopTupleEntrySchemeIterator

- java.lang.Object
- - cascading.tuple.TupleEntryIterator
  - - cascading.tuple.TupleEntrySchemeIterator<Configuration,RecordReader>
    - - cascading.tap.hadoop.io.HadoopTupleEntrySchemeIterator

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, java.util.Iterator<TupleEntry>

      public class HadoopTupleEntrySchemeIterator
      extends TupleEntrySchemeIterator<Configuration,RecordReader>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HadoopTupleEntrySchemeIterator(FlowProcess<? extends Configuration> flowProcess, Scheme scheme, CloseableIterator<RecordReader> closeableIterator)`
    `HadoopTupleEntrySchemeIterator(FlowProcess<? extends Configuration> flowProcess, Tap parentTap, RecordReader recordReader)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected RecordReader` | `wrapInput(RecordReader recordReader)`

    - ### Methods inherited from class cascading.tuple.TupleEntrySchemeIterator

      `close, getFlowProcess, hasNext, next, remove`

    - ### Methods inherited from class cascading.tuple.TupleEntryIterator

      `getFields, getTupleEntry`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HadoopTupleEntrySchemeIterator

          public HadoopTupleEntrySchemeIterator(FlowProcess<? extends Configuration> flowProcess,
                                        Tap parentTap,
                                        RecordReader recordReader)
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### HadoopTupleEntrySchemeIterator

          public HadoopTupleEntrySchemeIterator(FlowProcess<? extends Configuration> flowProcess,
                                        Scheme scheme,
                                        CloseableIterator<RecordReader> closeableIterator)

  - ### Method Detail

    - #### wrapInput

          protected RecordReader wrapInput(RecordReader recordReader)

      Overrides:
        `wrapInput` in class `TupleEntrySchemeIterator<Configuration,RecordReader>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.